## Rosetta-8cc3b9e6c1e41a7a13a889d0d27b05704d684d46.zip?path=services

=== services/webapp/requirements.txt ===
Django==2.2.1
psycopg2==2.8
pytz==2018.9
djangorestframework==3.9.3
django-rest-swagger==2.2.0
dateutils==0.6.6
sendgrid==5.3.0
mozilla-django-oidc==1.2.4
uwsgi==2.0.19.1
python-magic==0.4.15
jupyter-repo2docker==2022.2.0
