=== dist/debian/changelog ===
singularity-container (2.4.2-1) unstable; urgency=high

  * This fixed an issue for support of older distributions and kernels with regards to `setns()`
    functionality.
  * Fixed autofs bug path (lost during merge)

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 22 Nov 2017 12:20:27 -0700

singularity-container (2.4.1-1) unstable; urgency=high

  * This is a bug fix point release to the 2.4 feature branch, and includes a
    number of fixes including some security related points that deserve
    immediate attention

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 22 Nov 2017 12:20:27 -0700

singularity-container (2.4-1) unstable; urgency=low

  * Building an image is now more intuitive with the introduction of our build
    command. You don't need to worry about sizes or using create, or bootstrap
  * By default the build command now creates compressed read only containers
    using squashfs
  * Singularity now supports building additional base targets: local images,
    Singularity Hub, or the host operating system itself
  * A well documented solution for internal container modularity
    (http://containers-ftw.org/SCI-F/)
  * By popular demand and bribery, we are bringing back persistent instance
    support. You can now start up a container instance and using a given name,
    you can connect to that instance, and it keeps running even when you exit!
  * We are now using the network namespace to provide network isolation
  * Using a persistent overlay, you can modify a container image and all
    changes are written to the overlay layer
  * Cleanup and optimization of the Singularity image library

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 11 Oct 2017 19:39:19 -0700

singularity-container (2.3.2-1) unstable; urgency=high

  * Fix for a change that Docker implemented to their registry RESTful API
    which broke compatibility with Singularity
  * Several other low minor fixes

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Fri, 15 Sep 2017 14:36:34 -0700

singularity-container (2.3.1-1) unstable; urgency=high

  * Fix for a High Severity security issue on older hosts
  * Other improvements and fixes to previous versions of Singularity

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Mon, 26 Jun 2017 11:24:12 -0700

singularity-container (2.3-1) unstable; urgency=low

  * Lots of backend library changes to accommodate a more flexible API
  * Restructured Python backend
  * Updated bootstrap backend to make it much more reliable
  * Direct support for the awesome, the fantastic, Singularity-Hub!
  * Ability to run additional commands without root privileges (e.g. create,
    import, copy, export, etc..).
  * Added ability to pull images from Singularity Hub and Docker
  * Containers now have labels, and are inspect'able

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 31 May 2017 18:19:46 -0700

singularity-container (2.2-1) unstable; urgency=low

  * New upstream release
  * Install sexec-suid as suid instead of sexec

 -- Roland Fehrenbacher <rf@q-leap.de>  Fri, 21 Oct 2016 13:25:06 +0200

singularity-container (2.0-1) UNRELEASED; urgency=medium

  * New upstream release
  * Initial Debian packaging

 -- Dave Love <fx@gnu.org>  Thu, 02 Jun 2016 22:48:28 +0100

singularity-container (1.0-1) UNRELEASED; urgency=low

  * Initial release

 -- Dave Love <fx@gnu.org>  Sun, 17 Apr 2016 12:22:41 +0100
